VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   8850
   ClientLeft      =   60
   ClientTop       =   465
   ClientWidth     =   9750
   LinkTopic       =   "Form1"
   ScaleHeight     =   8850
   ScaleWidth      =   9750
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CmdVerify 
      Caption         =   "Verify"
      Enabled         =   0   'False
      Height          =   735
      Left            =   6840
      TabIndex        =   6
      Top             =   3480
      Width           =   2535
   End
   Begin VB.PictureBox staticFP 
      Height          =   6735
      Left            =   240
      ScaleHeight     =   6675
      ScaleWidth      =   6315
      TabIndex        =   0
      Top             =   1440
      Width           =   6375
   End
   Begin VB.Frame Frame2 
      Caption         =   "Capture Function"
      Height          =   7335
      Left            =   120
      TabIndex        =   7
      Top             =   1080
      Width           =   9495
      Begin VB.CommandButton CmdExit 
         Caption         =   "Exit"
         Height          =   615
         Left            =   6600
         TabIndex        =   10
         Top             =   6480
         Width           =   2775
      End
      Begin VB.Frame Frame4 
         Caption         =   "Verify API"
         Height          =   1215
         Left            =   6600
         TabIndex        =   9
         Top             =   2040
         Width           =   2775
      End
      Begin VB.Frame Frame3 
         Caption         =   "Roll Capture API"
         Height          =   1215
         Left            =   6600
         TabIndex        =   8
         Top             =   480
         Width           =   2775
         Begin VB.CommandButton CmdRollCapture 
            Caption         =   "Roll Capture Start"
            Enabled         =   0   'False
            Height          =   735
            Left            =   120
            TabIndex        =   11
            Top             =   360
            Width           =   2535
         End
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Device Function"
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   9495
      Begin VB.CommandButton CmdOpenDevice 
         Caption         =   "Open"
         Height          =   495
         Left            =   5520
         TabIndex        =   4
         Top             =   240
         Width           =   3615
      End
      Begin VB.ComboBox ComboDevice 
         Height          =   315
         Left            =   1200
         TabIndex        =   3
         Top             =   360
         Width           =   4095
      End
      Begin VB.Label Label1 
         Caption         =   "Device List"
         Height          =   255
         Left            =   240
         TabIndex        =   2
         Top             =   360
         Width           =   855
      End
   End
   Begin VB.Label labStatus 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   0
      TabIndex        =   5
      Top             =   8520
      Width           =   9735
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' #################################################################################################
'
'   frmMain.frm     : implementation file
'
'   Copyright       : NITGEN Co., Ltd.
'
' #################################################################################################

Dim objNBioBSP As NBioBSPCOMLib.NBioBSP

Dim objDevice As IDevice                ' Device object
Dim objExtraction As IExtraction        ' Extraction object
Dim objMatching As IMatching            ' Matching object

Dim szTextEncodeFIR As String
Dim biFIR() As Byte

Private Sub Form_Load()
    ' Create NBioBSP object
    Set objNBioBSP = New NBioBSPCOMLib.NBioBSP
    Set objDevice = objNBioBSP.Device
    Set objExtraction = objNBioBSP.Extraction
    Set objMatching = objNBioBSP.Matching
    
    ' Get NBioBSP version
    frmMain.Caption = "VB Sample - NBioBSP Version : " & objNBioBSP.MajorVersion & "." & objNBioBSP.MinorVersion

    ' Enumerate Device
    Dim i As Integer

    Call objDevice.Enumerate
    labStatus.Caption = objDevice.ErrorDescription & " [" & objDevice.ErrorCode & "]"

    ComboDevice.AddItem "Auto_Detect"
    For i = 0 To objDevice.EnumCount - 1
        nNameID = objDevice.EnumDeviceNameID(i)
        If nNameID <> 0 Then
            ComboDevice.AddItem objDevice.EnumDeviceName(i) & " (ID:" & objDevice.EnumDeviceInstance(i) & ")"
        Else
            nDeviceID = objDevice.EnumDeviceID(i)
            Select Case objDevice.GetDeviceName(nDeviceID)
            Case NBioAPI_DEVICE_NAME_FDP02
                ComboDevice.AddItem "FDP02 (ID:" & objDevice.GetDeviceNumber(nDeviceID) & ")"
            Case NBioAPI_DEVICE_NAME_FDU01
                ComboDevice.AddItem "FDU01 (ID:" & objDevice.GetDeviceNumber(nDeviceID) & ")"
            Case NBioAPI_DEVICE_NAME_OSU02
                ComboDevice.AddItem "OSU02 (ID:" & objDevice.GetDeviceNumber(nDeviceID) & ")"
            Case NBioAPI_DEVICE_NAME_FDU11
                ComboDevice.AddItem "FDU11 (ID:" & objDevice.GetDeviceNumber(nDeviceID) & ")"
            Case NBioAPI_DEVICE_NAME_FSC01
                ComboDevice.AddItem "FSC01 (ID:" & objDevice.GetDeviceNumber(nDeviceID) & ")"
            Case NBioAPI_DEVICE_NAME_FDU03
                ComboDevice.AddItem "FDU03 (ID:" & objDevice.GetDeviceNumber(nDeviceID) & ")"
            End Select
        End If
    Next i
        
    ComboDevice.ListIndex = 0
    labStatus.Caption = "BSP Init success !"
End Sub

Private Sub Form_Terminate()

    Call objDevice.Close(objDevice.OpenedDeviceID)
    
    Set objDevice = Nothing
    Set objExtraction = Nothing
    Set objMatching = Nothing
    Set objNBioBSP = Nothing
    
End Sub

Private Sub CmdOpenDevice_Click()
    ' Select device type
    nNameID = 0
    If ComboDevice.ListIndex > 0 Then
        nNameID = objDevice.EnumDeviceNameID(ComboDevice.ListIndex - 1)
    End If
    
    If nNameID <> 0 Then
        If ComboDevice.ListIndex > 0 Then
            iDeviceID = objDevice.MakeDeviceID(nNameID, objDevice.EnumDeviceInstance(ComboDevice.ListIndex - 1))
        Else
            iDeviceID = NBioAPI_DEVICE_ID_AUTO_DETECT
        End If
    Else
        tempDeviceName = ComboDevice.Text
        
        pos = InStr(ComboDevice.Text, " (ID:")
        If pos > 0 Then
            tempDeviceName = Left$(ComboDevice.Text, pos - 1)
        End If
        
        Select Case tempDeviceName
        Case "Auto_Detect"
            iDeviceID = NBioAPI_DEVICE_ID_AUTO_DETECT
        Case "FDP02"
            iDeviceID = NBioAPI_DEVICE_ID_FDP02_0
        Case "FDU01"
            iDeviceID = NBioAPI_DEVICE_ID_FDU01_0
        Case "OSU02"
            iDeviceID = NBioAPI_DEVICE_ID_OSU02_0
        Case "FDU11"
            iDeviceID = NBioAPI_DEVICE_ID_FDU11_0
        Case "FSC01"
            iDeviceID = NBioAPI_DEVICE_ID_FSC01_0
        Case "FDU03"
            iDeviceID = NBioAPI_DEVICE_ID_FDU03_0
        Case "FDU05"
            iDeviceID = NBioAPI_DEVICE_ID_FDU05_0
        End Select
        
        id = 0
        If (pos > 0) Then
            id = Val(Mid$(ComboDevice.Text, pos + 5, 2))
            iDeviceID = objDevice.MakeDeviceID(iDeviceID, id)
        End If
    End If
    
    ' Close Device if before opened
    Call objDevice.Close(objDevice.OpenedDeviceID)
    
    ' Open device
    Call objDevice.Open(iDeviceID)
    
    If objDevice.ErrorCode = NBioAPIERROR_NONE Then
        CmdRollCapture.Enabled = True
        CmdVerify.Enabled = True
        nDeviceID = iDeviceID
        labStatus.Caption = "Device Open Success !"
        
        If ComboDevice.ListIndex > 0 Then
            nNameID = objDevice.EnumDeviceNameID(ComboDevice.ListIndex - 1)
            If nNameID <> 0 Then
                labStatus.Caption = labStatus.Caption & " - " & objDevice.EnumDeviceDescription(ComboDevice.ListIndex - 1)
            End If
            
        Else
            labStatus.Caption = labStatus.Caption & " - " & "Auto Detect Device"
        End If
    Else
        labStatus.Caption = "Device Open Failed ! - " & objDevice.ErrorDescription & " [" & objExtraction.ErrorCode & "]"
    End If
End Sub

Private Sub CmdExit_Click()
    End
End Sub

Private Sub CmdRollCapture_Click()
    Dim ret As Integer
    
    szTextEncodeFIR = ""  ' Delete FIR Data before enrolled
    
    objExtraction.WindowStyle = NBioAPI_WINDOW_STYLE_INVISIBLE
    objExtraction.FingerWnd = staticFP.hWnd
    
    Call objExtraction.RollCapture(NBioAPI_FIR_PURPOSE_VERIFY)
    
    If objExtraction.ErrorCode = NBioAPIERROR_NONE Then
        
        ' If you want to save fir data then this FIR data write to DB or File.
        
        ' Get binary encoded FIR data
        biFIR = objExtraction.FIR
        
        ' Get text encoded FIR data
        szTextEncodeFIR = objExtraction.TextEncodeFIR
        
        labStatus.Caption = "RollCapture Function Success !"
    Else
        labStatus.Caption = "RollCapture Function Failed ! - " & objExtraction.ErrorDescription & " [" & objExtraction.ErrorCode & "]"
    End If
End Sub

Private Sub CmdVerify_Click()
    Dim ret As Integer

    ' Check exist enrolled fingerprint
    If szTextEncodeFIR = "" Then
        Call MsgBox("Can not find captureed fingerprint !")
        Exit Sub
    End If


    Call objMatching.Verify(szTextEncodeFIR)    ' Verify with text encoded FIR

    If objMatching.ErrorCode <> NBioAPIERROR_NONE Then
        labStatus.Caption = "Verify Function Failed ! - " & objMatching.ErrorDescription & " [" & objMatching.ErrorCode & "]"
        Exit Sub
    End If

    ' Check result of verify
    If objMatching.MatchingResult = NBioAPI_TRUE Then
        Call MsgBox("Verify Success !", vbInformation)
        labStatus.Caption = "Verify Success !"
    Else
        ' Show fail message.
        Call MsgBox("Verify Failed !", vbInformation)
        labStatus.Caption = "Verify Failed !"
    End If
End Sub
